<?php

/*
 * Metafox - flexible content management system
 *
 * admin/inc/auth.php - authentification interface
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@platon.sk>
 * Copyright (c) 2001-2008 Platon Group, http://platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://platon.sk/projects/Metafox/
 */

/* $Platon: Metafox/admin/inc/auth.inc.php,v 1.6 2012-09-28 18:49:48 nepto Exp $ */

/* MAINTAINANCE: This file is maintained in Metafox project and distributed
   across the particular projects accordingly. */

require_once dirname(__FILE__).'/init.inc.php';
require_once dirname(__FILE__).'/functions.inc.php';
require_once 'Auth/AuthDB.php';

if ($ezin_auth == false) {
	$ezin_auth = new AuthDB($ezin_auth_options);
	$ezin_user = $ezin_auth->getUserInfo();
}

if (! $ezin_auth->getAuth()) {
	header('Location: http://'.$_SERVER['HTTP_HOST'].$ezin_cfg['url'].$ezin_sys['dir']['admin']);
	exit;
}

?>
